# pause_skipped is used for single-click skipping of animations with multiple
# renpy.pause() calls - e.g. rolls.  It's reset to False in draw_tableau.

pause_skipped = False

in_UAC_updater = False

titlecard_hint_index = 0 # Used to prevent hint repetition.

last_save_caption = ''

def reset():
    # Reset all rollback-proof data to defaults; this is called when the game
    # is reloaded.
    global pause_skipped
    pause_skipped = False

GAME_LOG = None

python_dict = dict
python_set = set

scheduler_card_movement_done = 0. 

orig_renderer_setting = None

debug_crypto = False

debugger_used = False
crash_ignored = False

http_upload_progress = True # False to disable progress reporting in uploads.
skip_next_autosave = False
last_autosave_date = (-1,0,0)
traceback_include_save = None

# So we can tell what save to upload if an error occurs during load.
last_loaded_filename = None
# Used so, if there were both warnings *and* unjumpable callstack entries, the
# player is only prompted to upload once.
last_uploaded_filename = None

random_logfile = None # For RNG debugging

art_set_1 = dict()

class TransientPersistentProxy(object):
    # Used for single-use unencrypted uploads.
    def __init__(self, orig, overrides):
        self.orig = orig
        self.overrides = overrides
    def __getattr__(self, name):
        return self.overrides.get(name, getattr(self.orig, name))

